## com.imcode.imcms.servlet.admin
Class EditImage

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.imcode.imcms.servlet.admin.EditImage

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class EditImage

extends javax.servlet.http.HttpServlet

Used to edit/insert image in (Xina) editor.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `REQUEST_PARAMETER__RETURN`

Constructor Summary
`EditImage()`

Method Summary
`void` `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`static ImageDomainObject` `getImage(javax.servlet.http.HttpServletRequest request)`
`static java.lang.String` `linkTo(javax.servlet.http.HttpServletRequest request, java.lang.String returnPath)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_PARAMETER__RETURN

    public static final java.lang.String REQUEST_PARAMETER__RETURN

See Also:
  Constant Field Values

Constructor Detail

### EditImage

    public EditImage()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### linkTo

    public static java.lang.String linkTo(javax.servlet.http.HttpServletRequest request,
                                          java.lang.String returnPath)

### getImage

    public static ImageDomainObject getImage(javax.servlet.http.HttpServletRequest request)